/*
 *  GraphCommon.h
 *  Version 1.8.1 / 000920
 *  by Satoshi Takahashi
 */

#ifndef GRAPH_COMMON_H
#define GRAPH_COMMON_H

#include <ParametersDialog.h>
#include <VarHeader.h>
#include <GraphCommon-v.c>

void GraphAddParameters1(void);
void GraphFrameAddParameters(void);
void GraphFrameAndLabel(void);
void DrawGraphLabel(char *string);

void SetGraphXLabel(char* label);
void SetGraphYLabel(char* label);
#define SetXLabel	SetGraphXLabel
#define SetYLabel	SetGraphYLabel

void SetGraphTitle(char* title);
#define SetTitle SetGraphTitle

void SetGraphUpperTitleFlag(int flag);
void SetGraphLowerTitleFlag(int flag);
#define SetUpperTitleFlag	SetGraphUpperTitleFlag
#define SetLowerTitleFlag	SetGraphLowerTitleFlag

void SetGraphTitleXPosition(int position);
void SetGraphTitleYPosition(int position);

void SetGraphFrameWidth(double p);
void SetGraphLeftBottom(int left, int bottom);
void SetGraphWidthHeight(int width, int height);
void SetGraphFrameRange(double xMin, double xMax, double yMin, double yMax);

void AxisArrow(double ax1, double ay1, double ax2, double ay2);

void GraphEPSSaveProc(void);
#endif /*pragma once*/