/*
 *  VarHeader.h
 *  Version 2.0 / 010910
 *  by Satoshi Takahashi
 */

#ifndef SCLLocal
#include <VarUndef.h>
#include <s_Types.h>
#else
#include "VarUndef.h"
#include "s_Types.h"
#endif

#define StructBegin(name) typedef struct name ## Type {

#define Member(type, name, value) type name;

#define MemberArray(type, name, number, value) type name[number];
#define MemberArray12(type, name, number, value1, value2) type name[number];
#define MemberArray14(type, name, number, value1, value2, value3, value4) \
type name[number];

#define MemberArray2(type, name, number1, number2, value) type name[number1][number2];

#define MemberString(type, name, number, value) type name[number];
#define MemberStringArray(type, name, number1, number2, value) type name[number1][number2];

#define MemberStruct3(type, name, value1, value2, value3) \
type name;

#define MemberFunc1(typeRet, name, typeArg, value) typeRet (*(name))(typeArg);
#define MemberFunc2(typeRet, name, typeArg1, typeArg2, value) typeRet (*(name))(typeArg1, typeArg2);
#define MemberFunc3(typeRet, name, typeArg1, typeArg2, typeArg3, value) \
typeRet (*(name))(typeArg1, typeArg2, typeArg3);
#define MemberFunc1Array(typeRet, name, typeArg, number, value) typeRet (*(name[number]))(typeArg);

#define MemberCustom(declaration, value) declaration;

#define StructEnd(name) } name ## Type ; extern name ## Type name;
