/*
 *  s_Carbon.c
 *  Version 2.0 / 019010
 *  by Stoshi Takahashi
 */

#ifndef S_CARBON_C
#define S_CARBON_C

#ifndef SCLLocal
#include <s_Config.h>
#else
#include "s_Config.h"
#endif
#if S_CARBON
#include <Carbon/Carbon.h>
#endif

#ifndef SCLLocal
#include <s_CarbonMacro.h>
#include <s_Carbon.h>
#else
#include "s_CarbonMacro.h"
#include "s_Carbon.h"
#endif

Rect *SCWindowBounds(WindowPtr window)
{
#if S_CARBON
static Rect r;
    return GetPortBounds(GetWindowPort(window), &r);
#else
    return &window->portRect;
#endif
}

#if !S_CARBON
Rect *GetPortBounds(GrafPtr port, Rect *rp)
{
	*rp = port->portRect;
	return &(port->portRect);
}
#endif
#endif /*pragma once*/
