/*
 *  s_Event.c
 *  Version 1.8.1 / 001201
 *  by Satoshi Takahashi
 */

#ifndef S_EVENT_C /*pragma once*/
#define S_EVENT_C

#include <s_Config.h>

#if S_CARBON
#include <Carbon/Carbon.h>
#endif

#include <stdlib.h>

#include <s_Event.h>
#include <s_Process.h>

#if !S_CARBON
void SEKeyDown(char c, short modifiers)
{
EvQEl *QueElemP;

#if DEBUG_SCRIPT
s_printf("%c\n",c);
#endif
	PPostEvent(keyDown, c, &QueElemP);
	QueElemP->evtQModifiers = modifiers;
}


void SEMouseDown(short x, short y)
{
EvQEl *QueElemP;
Point mousePoint;

	mousePoint.h = x;
	mousePoint.v = y;
	PPostEvent(mouseDown, 0, &QueElemP);
	QueElemP->evtQWhere = mousePoint;
	//QueElemP->evtQModifiers = btnState;
}


void SEMouseUp(short x, short y)
{
EvQEl *QueElemP;
Point mousePoint;

	mousePoint.h = x;
	mousePoint.v = y;
	PPostEvent(mouseUp, 0, &QueElemP);
	QueElemP->evtQWhere = mousePoint;
}
#endif


#endif /*pragma once*/