/*
 *  FuncList.c
 *  Version 1.6 / 980323
 *  by Satoshi Takahashi
 */

#ifndef FUNCLIST_C /*pragma once*/
#define FUNCLIST_C

#include <s_Config.h>

#if S_CARBON
#include <Carbon/Carbon.h>
#endif

#include <string.h>

#include <FuncList.h>
#include <VarBody.h>
/*#include <FuncList-v.c>*/

voidStringFunc *FindFunc(FuncList funcList, char *commandString)
{
int i;
	
	for (i = 0; funcList[i].name; i++)
	{
		if (!strcmp(funcList[i].name, commandString))
			return funcList[i].func;
	}
	
	return 0; /* function not found */
}



#endif /*pragma once*/