/*
 *  SCLXResource.h
 *  Version 2.0 / 010824
 *  by Satoshi Takahashi
 */

#ifndef SCLXRESOURCE_H
#define SCLXRESOURCE_H


#include <s_Config.h>
#include <s_ToolboxTypes.h>


typedef struct SXResourceDLOG
{
	Rect boundsRect;
	int procID;
	char visible;
	char goAway;
	long refCon;
	int ID;
	char title[256];
	unsigned position; /* System 7 or later */
} SXResourceDLOG;

typedef struct SXDialogResourceItem
{
	short resID;
	SXResourceDLOG DLOG;
	short itemCount;
} SXDialogResourceItem;

extern SXDialogResourceItem SXDialogResource[];


extern DITLItem SXDItemResource[];

typedef Arg SXDItemArgItem; 
extern SXDItemArgItem SXDItemArgList[];

#ifndef SXItemBegin
#define SXItemBegin ((String)-10)
#endif
#ifndef SXItemEnd
#define SXItemEnd ((String)-11)
#endif
#ifndef SXResEnd
#define SXResEnd ((String)-2)
#endif
#ifndef SXDLOGStart
#define SXDLOGStart ((String)-3)
#endif
#ifndef SXDLOGEnd
#define SXDLOGEnd ((String)-4)
#endif
#ifndef SXDItemArgListEnd
#define SXDItemArgListEnd ((String)0)
#endif
#endif /*pragma once*/
