/*
 *  s_Profile.h
 *  Version 1.5 / 971201
 *  by Satoshi Takahashi
 */

#ifndef S_PROFILE_H /*pragma once*/
#define S_PROFILE_H
#include <s_Config.h>

#ifndef S_PROFILE
#define S_PROFILE 1
#endif

#if S_PROFILE

void SetUpProfile(int n);
void SetProfileName(int i, char *name);
void StartProfile(int i);
void StopProfile(int i);
void PrintProfile(int stopFlag);
void ResetProfile(void);

#else

#define SetUpProfile(n)
#define SetProfileName(i,name)
#define StartProfile(i)
#define StopProfile(i)
#define PrintProfile(stopFlag)
#define ResetProfile()

#endif

#endif /*pragma once*/